#include<iostream>
using namespace std;
long long s[1000001];
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long n;
    cin>>n;
    long long ans=0, t=n-1, h=n;
    while(t>0)
    {
        h*=t;
        ans+=h;
        t--;
    }
    cout<<ans<<endl;
    return 0;
}